import React from "react";

import { Theme } from "@material-ui/core";

import { Loading, NavigationProvider, Notifications } from "components";

import { actions, Viewer } from 'stream-store';

import { HalLink, HalLinks } from "types";
import { JSONSchema7 } from "json-schema";

export interface Props {
    theme: Theme;
    mediaType: string;
    _links: HalLinks;
    self: HalLink;
    forms: {
        [rel: string]: JSONSchema7;
    };
    authorization?: string | undefined;
    children?: React.ReactNode;
}
export interface IState { }

export default class TestBrowser extends React.Component<Props, IState> {
    constructor(props: Props) {
        super(props);

    }

    onNavigate = (link: HalLink, authorization: string | undefined) =>
        link.href.indexOf('#') === -1 &&
        actions.get.request.next({ link, headers: { authorization } });

    render() {
        return (
            <div>
                <Loading open={false} />
                <NavigationProvider onNavigate={this.onNavigate}>
                    <Viewer {...this.props} />
                    <Notifications />
                </NavigationProvider>
            </div>);

    }
}